Nimbu Developer Docs
ReferenceThemes

Create or update a template

POST
/themes/{theme_id}/templates

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

theme_id*string

Query Parameters

force?boolean

Force update when remote changes exist

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

Template payload

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/themes/string/templates" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "code": "string"  }'
{
  "id": "string",
  "url": "http://example.com",
  "permalink": "http://example.com",
  "name": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "changed_by": {},
  "changed_live": true
}